`timescale 1ns / 1ps

module blinker(
	input                system_clock,
	input                system_reset,
	output   wire        blink,
	output   wire  [3:0] SevenSegAnode
);

   wire  [25:0]   reg2adder;
   wire  [25:0]   adder2reg;

   adder8 adder_0(
      .in0(reg2adder),
      .in1(26'h000_000_1),
      .out(adder2reg)
   );

   reg8 reg_0(
      .datain(adder2reg),
      .dataout(reg2adder),
      .clock(system_clock),
      .reset(system_reset)
   );

   assign blink=reg2adder[25];
   assign SevenSegAnode = 4'hF;

endmodule
